package Catalyst::Plugin::DecamelizeNamespace;
{
  $Catalyst::Plugin::DecamelizeNamespace::VERSION = '0.132771';
}

use v5.10;
use Moose::Role;
use String::CamelCase qw(decamelize);

before setup_component => sub {
    my ($class, $component) = @_;

    if ($component->isa('Catalyst::Controller')) {
        $component->config->{namespace} //= do {
            my ($controller_prefix, @parts) = split(/::/, Catalyst::Utils::class2classsuffix($component));
            #@parts = () if @parts == 1 and $parts[0] eq "Root";
            join("/", map decamelize($_), @parts);
        };
    }
};

1;

__END__

=pod

=head1 NAME

Catalyst::Plugin::DecamelizeNamespace

=head1 VERSION

version 0.132771

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
