package Catalyst::TraitFor::Controller::DecamelizeNamespace;
{
  $Catalyst::TraitFor::Controller::DecamelizeNamespace::VERSION = '0.132771';
}

use v5.10;
use Moose::Role;
use String::CamelCase qw(decamelize);

around BUILDARGS => sub {
    my $orig  = shift;
    my $class = shift;
    my $args  = $class->$orig(@_);

    $args->{namespace} //= do {
        my $comp = $args->{catalyst_component_name} || die;
        my ($controller_prefix, @parts) = split(/::/, Catalyst::Utils::class2classsuffix($comp));
        #@parts = () if @parts == 1 and $parts[0] eq "Root";
        join("/", map decamelize($_), @parts);
    };

    $args;
};

1;

__END__

=pod

=head1 NAME

Catalyst::TraitFor::Controller::DecamelizeNamespace

=head1 VERSION

version 0.132771

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Tomohiro Hosaka.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
